Subject: Allow RequestHandlers to get the current Request injected
Description

As a proxy service, I want to provide my own eager RequestHandler which might modify the request headers depending on some
conditions and then forward that request to the default RequestHandler.

One solution could be to add an optional $request parameter to the handleRequest() function, which is used when given and else a
new request is created from the environment.

History
#1 - 2013-04-18 18:38 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20028

#2 - 2013-05-21 13:05 - Robert Lemke
- Status changed from Under Review to Needs Feedback
- Assigned To set to Alexander Berl
- Target version set to 2.1

See http://forum.typo3.org/index.php/t/195847/

#3 - 2013-05-21 13:28 - Robert Lemke
- Target version deleted (2.1)
